import forms from "@tailwindcss/forms";
import typography from "@tailwindcss/typography";
import daisyUI from "daisyui";
import type { Config } from "tailwindcss";
import twanimate from "tailwindcss-animate";

const config: Config = {
	darkMode: "class",
	content: [
		"./pages/**/*.{ts,tsx}",
		"./components/**/*.{ts,tsx}",
		"./app/**/*.{ts,tsx}",
		"./src/**/*.{ts,tsx}",
		"./index.html",
	],
	prefix: "",
	plugins: [twanimate, forms, typography, daisyUI],
	daisyui: {
		themes: ["light", "dark"],
	},
};

export default config;
